commit:     65a8cec4deae7caccae91815f90e2e899717eacb
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 17 10:13:33 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Nov 17 10:54:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65a8cec4

games-emulation/stella: add 6.6

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-emulation/stella/Manifest          |  1 +
 games-emulation/stella/stella-6.6.ebuild | 58 ++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/games-emulation/stella/Manifest b/games-emulation/stella/Manifest
index 76abdf16801e..f62082e81908 100644
--- a/games-emulation/stella/Manifest
+++ b/games-emulation/stella/Manifest
@@ -1 +1,2 @@
 DIST stella-6.5.3-src.tar.xz 6221588 BLAKE2B 
1cee75cd27c14db5a2eaf3a6d88af5b3d081c2577afd4b46b27ef33dd11d676cd5fe981d8ae918373b16d7f50e0151a9e0fc00765fb39370ea50f8322a90b963
 SHA512 
67fe45c0be510494e4c3ead91ee5f7c9a8ba7059b76beb15e794ef49144c8f0fb57d7c7476f4f299e573e37ea1c41f2fb094ca10974f3bcda797fc69c9bd2986
+DIST stella-6.6-src.tar.xz 10035924 BLAKE2B 
bb1b6a5d7ea9ada8aac24084f508692472f78a6e04528f57a88ca7ac76d23f0dfe1050a1f013103463b2ee2d7b842a9b30e1b36b2aefc183ce1a39682eb867fa
 SHA512 
89aea0cec9c2f22f276c1c4b36b76deb1ef9fb913c959f93f8cbcac300acdb23d2e3e66981d3263ea1ccfd72aaab1aa47218136b82b5e12aa8fbf352959743ab

diff --git a/games-emulation/stella/stella-6.6.ebuild 
b/games-emulation/stella/stella-6.6.ebuild
new file mode 100644
index 000000000000..0524aef2872c
--- /dev/null
+++ b/games-emulation/stella/stella-6.6.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg
+
+DESCRIPTION="Multi-platform Atari 2600 VCS Emulator"
+HOMEPAGE="https://stella-emu.github.io";
+SRC_URI="https://github.com/stella-emu/stella/releases/download/${PV}/${P}-src.tar.xz";
+
+LICENSE="GPL-2+ BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+joystick png zlib"
+REQUIRED_USE="png? ( zlib )"
+
+RDEPEND="
+       media-libs/libsdl2[joystick?,opengl,sound,video]
+       png? ( media-libs/libpng:= )
+       zlib? ( sys-libs/zlib:= )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+
+       sed -i '/CXXFLAGS+=/s/-fomit-frame-pointer//' Makefile || die
+}
+
+src_configure() {
+       tc-export CC CXX
+
+       # not an autotools generated script
+       local configure=(
+               ./configure
+               --host=${CHOST}
+               --prefix="${EPREFIX}"/usr
+               --docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+               $(use_enable joystick)
+               $(use_enable png)
+               $(use_enable zlib zip)
+               ${EXTRA_ECONF}
+       )
+
+       echo ${configure[*]}
+       "${configure[@]}" || die
+}
+
+src_install() {
+       local DOCS=(
+               Announce.txt Changes.txt README-SDL.txt
+               Readme.txt docs/R77_readme.txt Todo.txt
+       )
+
+       default
+
+       rm "${ED}"/usr/share/doc/${PF}/html/*.txt || die
+}

Reply via email to